import { e as eq_1 } from "./eq.mjs";
import { i as isArrayLike_1 } from "./isArrayLike.mjs";
import { _ as _isIndex } from "./_isIndex.mjs";
import { i as isObject_1 } from "./isObject.mjs";
var eq = eq_1, isArrayLike = isArrayLike_1, isIndex = _isIndex, isObject = isObject_1;
function isIterateeCall(value, index, object) {
  if (!isObject(object)) {
    return false;
  }
  var type = typeof index;
  if (type == "number" ? isArrayLike(object) && isIndex(index, object.length) : type == "string" && index in object) {
    return eq(object[index], value);
  }
  return false;
}
var _isIterateeCall = isIterateeCall;
export {
  _isIterateeCall as _
};
